Classes | Namespaces | Macros | Enumerations | Functions
reader.h File Reference
`#include "allocators.h"`
`#include "stream.h"`
`#include "encodedstream.h"`
`#include "internal/meta.h"`
`#include "internal/stack.h"`
`#include "internal/strtod.h"`
`#include <limits>`
`#include "error/error.h"`

Go to the source code of this file.

## Classes
struct | rapidjson::BaseReaderHandler< Encoding, Derived >
| Default implementation of Handler. More...
class | rapidjson::GenericReader< SourceEncoding, TargetEncoding, StackAllocator >
| SAX-style JSON parser. Use Reader for UTF8 encoding and default allocator. More...

## Namespaces
| rapidjson
| main RapidJSON namespace

## Macros
#define | RAPIDJSON_PARSE_ERROR_NORETURN(parseErrorCode, offset)
| Macro to indicate a parse error. More...
#define | RAPIDJSON_PARSE_ERROR(parseErrorCode, offset)
| (Internal) macro to indicate and handle a parse error. More...
#define | RAPIDJSON_PARSE_DEFAULT_FLAGS kParseNoFlags
| User-defined kParseDefaultFlags definition. More...

## Enumerations
enum | rapidjson::ParseFlag { rapidjson::kParseNoFlags = 0, rapidjson::kParseInsituFlag = 1, rapidjson::kParseValidateEncodingFlag = 2, rapidjson::kParseIterativeFlag = 4, rapidjson::kParseStopWhenDoneFlag = 8, rapidjson::kParseFullPrecisionFlag = 16, rapidjson::kParseCommentsFlag = 32, rapidjson::kParseNumbersAsStringsFlag = 64, rapidjson::kParseTrailingCommasFlag = 128, rapidjson::kParseNanAndInfFlag = 256, rapidjson::kParseDefaultFlags = RAPIDJSON_PARSE_DEFAULT_FLAGS }
| Combination of parseFlags. More...

## Functions
template<typename InputStream >
void | rapidjson::SkipWhitespace (InputStream &is)
| Skip the JSON white spaces in a stream. More...
const char * | rapidjson::SkipWhitespace (const char *p, const char *end)
template<>
void | rapidjson::SkipWhitespace (InsituStringStream &is)
| Template function specialization for InsituStringStream.
template<>
void | rapidjson::SkipWhitespace (StringStream &is)
| Template function specialization for StringStream.
template<>
void | rapidjson::SkipWhitespace (EncodedInputStream< UTF8<>, MemoryStream > &is)